Package org.eclipse.wst.xsl.ui.internal.util

## org.eclipse.wst.xsl.ui.internal.util
Class XSLPluginImageHelper

    public class XSLPluginImageHelper
    extends java.lang.Object

Helper class to handle images provided by this plug-in. NOTE: For internal use only. For images used externally, please use the Shared***ImageHelper class instead.

## Constructor Summary

`XSLPluginImageHelper()`

## Method Summary

`public Image` | `getImage(java.lang.String resource)` Retrieves the image associated with resource from the image registry. If the image cannot be retrieved, attempt to find and load the image at the location specified in resource.
`public ImageDescriptor` | `getImageDescriptor(java.lang.String resource)` Retrieves the image descriptor associated with resource from the image descriptor registry. If the image descriptor cannot be retrieved, attempt to find and load the image descriptor at the location specified in resource.
`public static org.eclipse.wst.xsl.ui.internal.util.XSLPluginImageHelper` | `getInstance()` Gets the instance.

## Constructor Detail

## XSLPluginImageHelper

`public XSLPluginImageHelper()`

## Methods Detail

## getImage

`public Image getImage(java.lang.String resource)`

Retrieves the image associated with resource from the image registry. If the image cannot be retrieved, attempt to find and load the image at the location specified in resource.

### Parameters

`resource` - the image to retrieve

### Returns

`Image` - Image the image associated with resource or null if one could not be found

## getImageDescriptor

`public ImageDescriptor getImageDescriptor(java.lang.String resource)`

Retrieves the image descriptor associated with resource from the image descriptor registry. If the image descriptor cannot be retrieved, attempt to find and load the image descriptor at the location specified in resource.

### Parameters

`resource` - the image descriptor to retrieve

### Returns

`ImageDescriptor` - ImageDescriptor the image descriptor assocated with resource or the default "missing" image descriptor if one could not be found

## getInstance

`public org.eclipse.wst.xsl.ui.internal.util.XSLPluginImageHelper getInstance()`

Gets the instance.

### Returns

`org.eclipse.wst.xsl.ui.internal.util.XSLPluginImageHelper` - Returns a XMLEditorPluginImageHelper